Package org.apache.solr.client.solrj.request.beans

## Class SplitShardPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.SplitShardPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

    public class SplitShardPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `async`
`Map<String,​Object>` `coreProperties`
`Boolean` `followAliases`
`Integer` `numSubShards`
`String` `ranges`
`String` `shard`
`Boolean` `splitByPrefix`
`String` `splitFuzz`
`String` `splitKey`
`String` `splitMethod`
`Boolean` `timing`
`Boolean` `waitForFinalState`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`SplitShardPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### shard

    public String shard

#### ranges

    public String ranges

#### splitKey

    public String splitKey

#### numSubShards

    public Integer numSubShards

#### splitFuzz

    public String splitFuzz

#### timing

    public Boolean timing

#### splitByPrefix

    public Boolean splitByPrefix

#### followAliases

    public Boolean followAliases

#### splitMethod

    public String splitMethod

#### coreProperties

    public Map<String,​Object> coreProperties

#### async

    public String async

#### waitForFinalState

    public Boolean waitForFinalState

### Constructor Detail

#### SplitShardPayload

    public SplitShardPayload()